package p.studio.compiler.messages;

public record Addressable(
        String address,
        int assetId) {

    public Addressable {
        address = normalize(address);
    }

    private static String normalize(final String address) {
        if (address == null) {
            return "";
        }
        return address.trim();
    }
}
